Bug 861075 - SSSD_NSS failure to gracefully restart after sbus failure
SSSD_NSS failure to gracefully restart after sbus failure
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
:
Depends On:
Blocks: 881827
  Show dependency treegraph
 
Reported: 2012-09-27 09:11 EDT by Dmitri Pal
Modified: 2013-02-21 04:37 EST (History)
3 users (show)

See Also:
Fixed In Version: sssd-1.9.2-24.el6
Doc Type: Bug Fix
Doc Text:
Cause: When sssd_be process was unwillingly terminated, SSSD responder processes failed to reconnect in case the attempt was performed before sssd_be was ready. This caused the responder to be restarted. The responder might get restarted several times before sssd_be is ready, hitting a maximum number of restarts threshold and than is was terminated completely. Consequence: SSSD responder is not gracefully restarted. Fix: Each restart of SSSD responder process is done with increasing delay. Result: sssd_be process has now enough time to recover before a responder is restarted.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:37:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0508 normal SHIPPED_LIVE Low: sssd security, bug fix and enhancement update 2013-02-20 16:30:10 EST

  None (edit)
Description Dmitri Pal 2012-09-27 09:11:31 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1528

I have a reoccurring problem where sssd seems to get tripped up and is unable to restore itself.  This is an intermittent problem that I am unable to delectably reproduce, so I am not sure whats causing it.

I show failures that appear to cause sssd_pam and sssd_be to restart, but it looks like sssd_nss is unable to connect back so it fails to restart.

Logs attached.
Comment 2 Kaushik Banerjee 2013-02-01 09:11:59 EST
Verified as SanityOnly in version 1.9.2-82 since no regressions are seen and all tests pass.
Comment 3 errata-xmlrpc 2013-02-21 04:37:19 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.